Last Comment Bug 702477 - Change the names of nsSVGPathElement::GetScale and nsSVGTextPathFrame::GetPathScale
: Change the names of nsSVGPathElement::GetScale and nsSVGTextPathFrame::GetPat...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Jonathan Watt [:jwatt] (catching up after vacation)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 16:14 PST by Jonathan Watt [:jwatt] (catching up after vacation)
Modified: 2012-02-01 14:00 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (6.75 KB, patch)
2011-11-14 16:14 PST, Jonathan Watt [:jwatt] (catching up after vacation)
longsonr: review+
Details | Diff | Splinter Review

Description Jonathan Watt [:jwatt] (catching up after vacation) 2011-11-14 16:14:58 PST
Created attachment 574472 [details] [diff] [review]
patch

The method names nsSVGPathElement::GetScale and nsSVGTextPathFrame::GetPathScale (especially the former) are less than helpful. Here's a patch to give them better names and add some documenting comments.
Comment 1 Jonathan Watt [:jwatt] (catching up after vacation) 2011-11-15 05:11:18 PST
Pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/44759e317dc8
Comment 2 Ed Morley [:emorley] 2011-11-15 11:49:14 PST
https://hg.mozilla.org/mozilla-central/rev/44759e317dc8

To save time/mistakes when merging, please could you set assignee + target milestone when landing on inbound (https://wiki.mozilla.org/Tree_Rules/Inbound#Please_do_the_following_after_pushing_to_inbound).

Thanks :-)
Comment 3 Jonathan Watt [:jwatt] (catching up after vacation) 2011-11-15 11:58:40 PST
Oops, will do, thanks.

Note You need to log in before you can comment on or make changes to this bug.